package devmgr.api.model;

import devmgr.api.symbol.Tray;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * A tray
 */
@XmlRootElement
public class TrayEx extends Tray implements Identifiable {
    public String getId(){
        return getTrayRef();
    }

    @Override
    public boolean equals(Object o) {
        String id = getId();
        if (this == o) return true;
        if (!(o instanceof TrayEx)) return false;

        TrayEx trayEx = (TrayEx) o;

        if (id != null ? !id.equals(trayEx.getId()) : trayEx.getId() != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        String id = getId();
        return id != null ? id.hashCode() : 0;
    }

    // Tray order position
    public int trayPositionIndex = -1;

    public int getTrayPositionIndex() {
        return trayPositionIndex;
    }
}