package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to set or get Autosupport status values with the setAsupStatus or getAsupStatus procedures. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(516)
public class AsupStatus implements Serializable {
	public AsupStatus() {
	}

	/** Autosupport feature status */
	@io.swagger.annotations.ApiModelProperty(value ="Autosupport feature status" , required = true)
	@XmlElement(required = true)
	private boolean Asup;

	/** @return Autosupport feature status */
	public boolean isAsup() {
		return this.Asup;
	}
	/** @param x Autosupport feature status */
	public void setAsup(boolean x) {
		this.Asup = x;
	}

	/** Autosupport On Demand feature status. */
	@io.swagger.annotations.ApiModelProperty(value ="Autosupport On Demand feature status." , required = true)
	@XmlElement(required = true)
	private boolean OnDemand;

	/** @return Autosupport On Demand feature status. */
	public boolean isOnDemand() {
		return this.OnDemand;
	}
	/** @param x Autosupport On Demand feature status. */
	public void setOnDemand(boolean x) {
		this.OnDemand = x;
	}

	/** Autosupport On Demand Remote Diagnostics feature status. */
	@io.swagger.annotations.ApiModelProperty(value ="Autosupport On Demand Remote Diagnostics feature status." , required = true)
	@XmlElement(required = true)
	private boolean RemoteDiags;

	/** @return Autosupport On Demand Remote Diagnostics feature status. */
	public boolean isRemoteDiags() {
		return this.RemoteDiags;
	}
	/** @param x Autosupport On Demand Remote Diagnostics feature status. */
	public void setRemoteDiags(boolean x) {
		this.RemoteDiags = x;
	}
}
