package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration lists the Async Mirror Group connection candidate types. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(166)
public enum AsyncMirrorGroupConnectionCandidateType implements Serializable {
		/** This should never happen. */
		unknown(0),
		/** The remote target connection already exists. */
		existingRemoteTarget(1),
		/** The remote target connection is new. */
		newRemoteTarget(2),
		__UNDEFINED(464378545);

		public final int value;

		private AsyncMirrorGroupConnectionCandidateType(int v) {
			this.value = v;
		}
}
