package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union is used to describe an Async Mirror Group connection. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1126)
public class AsyncMirrorGroupMirrorConnectionDescriptor implements Serializable {
	public AsyncMirrorGroupMirrorConnectionDescriptor() {
	}

	/** This enumeration lists the Async Mirror Group connection candidate types. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration lists the Async Mirror Group connection candidate types." , required = true)
	@XmlElement(required = true)
	private AsyncMirrorGroupConnectionCandidateType candidateType = AsyncMirrorGroupConnectionCandidateType.__UNDEFINED;

	/** @return This enumeration lists the Async Mirror Group connection candidate types. */
	public AsyncMirrorGroupConnectionCandidateType getCandidateType() {
		return this.candidateType;
	}
	/** @param x This enumeration lists the Async Mirror Group connection candidate types. */
	public void setCandidateType(AsyncMirrorGroupConnectionCandidateType x) {
		this.candidateType = x;
	}

	/** This field is present only if the value of candidateType is equal to ASYNC_MIRROR_CONNECTION_EXISTING_REMOTE_TARGET. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the value of candidateType is equal to ASYNC_MIRROR_CONNECTION_EXISTING_REMOTE_TARGET." , required = false)
	@XmlElement(required = false)
	private String existingRemoteTarget;

	/** @return This field is present only if the value of candidateType is equal to ASYNC_MIRROR_CONNECTION_EXISTING_REMOTE_TARGET. */
	public String getExistingRemoteTarget() {
		return this.existingRemoteTarget;
	}
	/** @param x This field is present only if the value of candidateType is equal to ASYNC_MIRROR_CONNECTION_EXISTING_REMOTE_TARGET. */
	public void setExistingRemoteTarget(String x) {
		this.existingRemoteTarget = x;
	}

	/** This field is present only if the value of candidateType is equal to ASYNC_MIRROR_CONNECTION_NEW_REMOTE_TARGET */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the value of candidateType is equal to ASYNC_MIRROR_CONNECTION_NEW_REMOTE_TARGET" , required = false)
	@XmlElement(required = false)
	private RemoteTargetCreationDescriptor newRemoteTarget;

	/** @return This field is present only if the value of candidateType is equal to ASYNC_MIRROR_CONNECTION_NEW_REMOTE_TARGET */
	public RemoteTargetCreationDescriptor getNewRemoteTarget() {
		return this.newRemoteTarget;
	}
	/** @param x This field is present only if the value of candidateType is equal to ASYNC_MIRROR_CONNECTION_NEW_REMOTE_TARGET */
	public void setNewRemoteTarget(RemoteTargetCreationDescriptor x) {
		this.newRemoteTarget = x;
	}
}
