package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure identifies a pair of ChannelPorts that are cabled together. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(711)
public class ChannelPortPair implements Serializable {
	public ChannelPortPair() {
	}

	/** First port of a pair cabled together. */
	@io.swagger.annotations.ApiModelProperty(value ="First port of a pair cabled together." , required = true)
	@XmlElement(required = true)
	private String port1;

	/** @return First port of a pair cabled together. */
	public String getPort1() {
		return this.port1;
	}
	/** @param x First port of a pair cabled together. */
	public void setPort1(String x) {
		this.port1 = x;
	}

	/** Second port of a pair cabled together. */
	@io.swagger.annotations.ApiModelProperty(value ="Second port of a pair cabled together." , required = true)
	@XmlElement(required = true)
	private String port2;

	/** @return Second port of a pair cabled together. */
	public String getPort2() {
		return this.port2;
	}
	/** @param x Second port of a pair cabled together. */
	public void setPort2(String x) {
		this.port2 = x;
	}
}
