package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used when calling the setDiskPoolReservedDriveCount procedure to set the reserved drive count in a Disk Pool. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(627)
public class DiskPoolReservedDriveCountUpdateDescriptor implements Serializable {
	public DiskPoolReservedDriveCountUpdateDescriptor() {
	}

	/** A reference to the Disk Pool. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the Disk Pool." , required = true)
	@XmlElement(required = true)
	private String volumeGroupRef;

	/** @return A reference to the Disk Pool. */
	public String getVolumeGroupRef() {
		return this.volumeGroupRef;
	}
	/** @param x A reference to the Disk Pool. */
	public void setVolumeGroupRef(String x) {
		this.volumeGroupRef = x;
	}

	/** The new reserved drive count. */
	@io.swagger.annotations.ApiModelProperty(value ="The new reserved drive count." , required = true)
	@XmlElement(required = true)
	private int newDriveCount;

	/** @return The new reserved drive count. */
	public int getNewDriveCount() {
		return this.newDriveCount;
	}
	/** @param x The new reserved drive count. */
	public void setNewDriveCount(int x) {
		this.newDriveCount = x;
	}
}
