package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information about all drive channels. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(772)
public class DriveChannelList implements Serializable {
	public DriveChannelList() {
	}

	/** The return code from the getDriveChannelStatistics API. */
	@io.swagger.annotations.ApiModelProperty(value ="The return code from the getDriveChannelStatistics API." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return The return code from the getDriveChannelStatistics API. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x The return code from the getDriveChannelStatistics API. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** The drive channels. */
	@io.swagger.annotations.ApiModelProperty(value ="The drive channels." , required = true)
	@XmlElement(required = true)
	private DriveChannel[] driveChannels;

	/** @return The drive channels. */
	public DriveChannel[] getDriveChannels() {
		return this.driveChannels;
	}
	/** @param x The drive channels. */
	public void setDriveChannels(DriveChannel[] x) {
		this.driveChannels = x;
	}
}
