package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union data type is used to specify the parent of the drive channel port. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(813)
public class DriveChannelParent implements Serializable {
	public DriveChannelParent() {
	}

	/** This enumeration object is used to specify the Drive Channel parent. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration object is used to specify the Drive Channel parent." , required = true)
	@XmlElement(required = true)
	private DriveChannelParentType driveChannelParent = DriveChannelParentType.__UNDEFINED;

	/** @return This enumeration object is used to specify the Drive Channel parent. */
	public DriveChannelParentType getDriveChannelParent() {
		return this.driveChannelParent;
	}
	/** @param x This enumeration object is used to specify the Drive Channel parent. */
	public void setDriveChannelParent(DriveChannelParentType x) {
		this.driveChannelParent = x;
	}

	/** This field is present only if the DriveChannelParentType is CONTROLLER. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the DriveChannelParentType is CONTROLLER." , required = false)
	@XmlElement(required = false)
	private String controllerRef;

	/** @return This field is present only if the DriveChannelParentType is CONTROLLER. */
	public String getControllerRef() {
		return this.controllerRef;
	}
	/** @param x This field is present only if the DriveChannelParentType is CONTROLLER. */
	public void setControllerRef(String x) {
		this.controllerRef = x;
	}

	/** This field is present only if the DriveChanelParentType is MINIHUB. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the DriveChanelParentType is MINIHUB." , required = false)
	@XmlElement(required = false)
	private String minihubRef;

	/** @return This field is present only if the DriveChanelParentType is MINIHUB. */
	public String getMinihubRef() {
		return this.minihubRef;
	}
	/** @param x This field is present only if the DriveChanelParentType is MINIHUB. */
	public void setMinihubRef(String x) {
		this.minihubRef = x;
	}
}
