package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object is used to specify the Drive Channel parent. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(183)
public enum DriveChannelParentType implements Serializable {
		/** The drive channel parent is unknown. */
		parentUnknown(0),
		/** The drive channel parent is a minihub. */
		minihub(1),
		/** The drive channel parent is a controller. */
		controller(2),
		__UNDEFINED(464378545);

		public final int value;

		private DriveChannelParentType(int v) {
			this.value = v;
		}
}
