package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains temperature data for a single drive. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(827)
public class DriveTemperatureData implements Serializable {
	public DriveTemperatureData() {
	}

	/** A reference to the drive object. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the drive object." , required = true)
	@XmlElement(required = true)
	private String driveRef;

	/** @return A reference to the drive object. */
	public String getDriveRef() {
		return this.driveRef;
	}
	/** @param x A reference to the drive object. */
	public void setDriveRef(String x) {
		this.driveRef = x;
	}

	/** Drive temperature data. */
	@io.swagger.annotations.ApiModelProperty(value ="Drive temperature data." , required = true)
	@XmlElement(required = true)
	private DriveTemperature driveTemperature;

	/** @return Drive temperature data. */
	public DriveTemperature getDriveTemperature() {
		return this.driveTemperature;
	}
	/** @param x Drive temperature data. */
	public void setDriveTemperature(DriveTemperature x) {
		this.driveTemperature = x;
	}
}
