package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is a variable-length array of FailureTypeEntry objects. It is used to convey information about multiple such objects. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1154)
public class FailureTypeList implements Serializable {
	public FailureTypeList() {
	}

	/** A variable-length array of FailureTypeEntry objects. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array of FailureTypeEntry objects." , required = true)
	@XmlElement(required = true)
	private FailureTypeEntry[] failureList;

	/** @return A variable-length array of FailureTypeEntry objects. */
	public FailureTypeEntry[] getFailureList() {
		return this.failureList;
	}
	/** @param x A variable-length array of FailureTypeEntry objects. */
	public void setFailureList(FailureTypeEntry[] x) {
		this.failureList = x;
	}
}
