package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration data type identifies the various Infiniband link width values. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(134)
public enum IbLinkWidth implements Serializable {
		/** This value represents an Infiniband link width of 1X */
		width1x(0),
		/** This value represents an Infiniband link width of 4X */
		width4x(1),
		/** This value represents an Infiniband link width of 8X */
		width8x(2),
		/** This value represents an Infiniband link width of 12X */
		width12x(3),
		__UNDEFINED(464378545);

		public final int value;

		private IbLinkWidth(int v) {
			this.value = v;
		}
}
