package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey details of connections to an iSCSI remote target. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(966)
public class IscsiRemoteTargetConnections implements Serializable {
	public IscsiRemoteTargetConnections() {
	}

	/** Connected remote target ports. */
	@io.swagger.annotations.ApiModelProperty(value ="Connected remote target ports." , required = true)
	@XmlElement(required = true)
	private TargetPortal[] connectedRemoteTargetPortals;

	/** @return Connected remote target ports. */
	public TargetPortal[] getConnectedRemoteTargetPortals() {
		return this.connectedRemoteTargetPortals;
	}
	/** @param x Connected remote target ports. */
	public void setConnectedRemoteTargetPortals(TargetPortal[] x) {
		this.connectedRemoteTargetPortals = x;
	}
}
