package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** LockDownInfo contains information about a locked down controller. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(368)
public class LockDownInfo implements Serializable {
	public LockDownInfo() {
	}

	/** sub-model ID of the foreign controller. */
	@io.swagger.annotations.ApiModelProperty(value ="sub-model ID of the foreign controller." , required = true)
	@XmlElement(required = true)
	private int boardSubmodelID;

	/** @return sub-model ID of the foreign controller. */
	public int getBoardSubmodelID() {
		return this.boardSubmodelID;
	}
	/** @param x sub-model ID of the foreign controller. */
	public void setBoardSubmodelID(int x) {
		this.boardSubmodelID = x;
	}

	/** This field contains the board id of the foreign controller. */
	@io.swagger.annotations.ApiModelProperty(value ="This field contains the board id of the foreign controller." , required = true)
	@XmlElement(required = true)
	private String boardID;

	/** @return This field contains the board id of the foreign controller. */
	public String getBoardID() {
		return this.boardID;
	}
	/** @param x This field contains the board id of the foreign controller. */
	public void setBoardID(String x) {
		this.boardID = x;
	}
}
