package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** Input parameter for importLockKey. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(367)
public class LockKeyBlob implements Serializable {
	public LockKeyBlob() {
	}

	/** The encrypted pass phrase used in generating the wrappedLockKey string. */
	@io.swagger.annotations.ApiModelProperty(value ="The encrypted pass phrase used in generating the wrappedLockKey string." , required = true)
	@XmlElement(required = true)
	private String passPhrase;

	/** @return The encrypted pass phrase used in generating the wrappedLockKey string. */
	public String getPassPhrase() {
		return this.passPhrase;
	}
	/** @param x The encrypted pass phrase used in generating the wrappedLockKey string. */
	public void setPassPhrase(String x) {
		this.passPhrase = x;
	}

	/** The wrapped lock key that contains the encrypted wrappedLockKey string. */
	@io.swagger.annotations.ApiModelProperty(value ="The wrapped lock key that contains the encrypted wrappedLockKey string." , required = true)
	@XmlElement(required = true)
	private WrappedLockKey lockKey;

	/** @return The wrapped lock key that contains the encrypted wrappedLockKey string. */
	public WrappedLockKey getLockKey() {
		return this.lockKey;
	}
	/** @param x The wrapped lock key that contains the encrypted wrappedLockKey string. */
	public void setLockKey(WrappedLockKey x) {
		this.lockKey = x;
	}
}
