package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to identify the type of a minihub. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(217)
public enum MinihubType implements Serializable {
		/** The minihub is on a host side channel. */
		hostside(1),
		/** The minihub is on a drive side channel. */
		driveside(2),
		__UNDEFINED(464378545);

		public final int value;

		private MinihubType(int v) {
			this.value = v;
		}
}
