package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains a list of miswired drive channels. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(478)
public class MiswiredDriveChannelList implements Serializable {
	public MiswiredDriveChannelList() {
	}

	/** This is a list of drive channels. */
	@io.swagger.annotations.ApiModelProperty(value ="This is a list of drive channels." , required = true)
	@XmlElement(required = true)
	private int[] driveChannels;

	/** @return This is a list of drive channels. */
	public int[] getDriveChannels() {
		return this.driveChannels;
	}
	/** @param x This is a list of drive channels. */
	public void setDriveChannels(int[] x) {
		this.driveChannels = x;
	}
}
