package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** A list of SYMbol PITGroup references. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1060)
public class PITGroupRefList implements Serializable {
	public PITGroupRefList() {
	}

	/** An array of PITGroup references */
	@io.swagger.annotations.ApiModelProperty(value ="An array of PITGroup references" , required = true)
	@XmlElement(required = true)
	private String[] pitGroupRef;

	/** @return An array of PITGroup references */
	public String[] getPitGroupRef() {
		return this.pitGroupRef;
	}
	/** @param x An array of PITGroup references */
	public void setPitGroupRef(String[] x) {
		this.pitGroupRef = x;
	}
}
