package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** A list of SYMbol PITView references. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(958)
public class PITViewRefList implements Serializable {
	public PITViewRefList() {
	}

	/** An array of PITView references */
	@io.swagger.annotations.ApiModelProperty(value ="An array of PITView references" , required = true)
	@XmlElement(required = true)
	private String[] pitViewRef;

	/** @return An array of PITView references */
	public String[] getPitViewRef() {
		return this.pitViewRef;
	}
	/** @param x An array of PITView references */
	public void setPitViewRef(String[] x) {
		this.pitViewRef = x;
	}
}
