package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used as an input argument to the powerCyclePhysicalDrive procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(833)
public class PowerCyclePhysicalDriveDescriptor implements Serializable {
	public PowerCyclePhysicalDriveDescriptor() {
	}

	/** The drive that should be acted upon. */
	@io.swagger.annotations.ApiModelProperty(value ="The drive that should be acted upon." , required = true)
	@XmlElement(required = true)
	private String driveRef;

	/** @return The drive that should be acted upon. */
	public String getDriveRef() {
		return this.driveRef;
	}
	/** @param x The drive that should be acted upon. */
	public void setDriveRef(String x) {
		this.driveRef = x;
	}
}
