package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the initial settings for the new target. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1089)
public class RemoteTargetCreationDescriptor implements Serializable {
	public RemoteTargetCreationDescriptor() {
	}

	/** The initial settings for the new remote target. */
	@io.swagger.annotations.ApiModelProperty(value ="The initial settings for the new remote target." , required = true)
	@XmlElement(required = true)
	private InitiatorTargetInitialProperties remoteTargetSettings;

	/** @return The initial settings for the new remote target. */
	public InitiatorTargetInitialProperties getRemoteTargetSettings() {
		return this.remoteTargetSettings;
	}
	/** @param x The initial settings for the new remote target. */
	public void setRemoteTargetSettings(InitiatorTargetInitialProperties x) {
		this.remoteTargetSettings = x;
	}
}
