package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object is used to specify the reservation types. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(88)
public enum ReservedPortID implements Serializable {
		/** No ports. */
		none(-2),
		/** All ports. */
		all(-1),
		/** Port A0. */
		a0(0),
		/** Port A1. */
		a1(1),
		/** Port B0. */
		b0(2),
		/** Port B1. */
		b1(3),
		__UNDEFINED(464378545);

		public final int value;

		private ReservedPortID(int v) {
			this.value = v;
		}
}
