package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains a list of SNMPTrapDestinationAddDescriptors. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1017)
public class SNMPTrapDestinationAddDescriptorList implements Serializable {
	public SNMPTrapDestinationAddDescriptorList() {
	}

	/** An array of trap destination add descriptors. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of trap destination add descriptors." , required = true)
	@XmlElement(required = true)
	private SNMPTrapDestinationAddDescriptor[] trapDestinationAddDescriptor;

	/** @return An array of trap destination add descriptors. */
	public SNMPTrapDestinationAddDescriptor[] getTrapDestinationAddDescriptor() {
		return this.trapDestinationAddDescriptor;
	}
	/** @param x An array of trap destination add descriptors. */
	public void setTrapDestinationAddDescriptor(SNMPTrapDestinationAddDescriptor[] x) {
		this.trapDestinationAddDescriptor = x;
	}
}
