package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** A list of SYMbol SNMPTrapDestination references. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(577)
public class SNMPTrapDestinationRefList implements Serializable {
	public SNMPTrapDestinationRefList() {
	}

	/** An array of SNMP trap destination references */
	@io.swagger.annotations.ApiModelProperty(value ="An array of SNMP trap destination references" , required = true)
	@XmlElement(required = true)
	private String[] trapDestinationRef;

	/** @return An array of SNMP trap destination references */
	public String[] getTrapDestinationRef() {
		return this.trapDestinationRef;
	}
	/** @param x An array of SNMP trap destination references */
	public void setTrapDestinationRef(String[] x) {
		this.trapDestinationRef = x;
	}
}
