package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration defines the repository expansion policies. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(62)
public enum ThinVolumeRepositoryExpansionPolicy implements Serializable {
		/** This should never happen. */
		unknown(0),
		/** The repository must be expanded manually. */
		manual(1),
		/** The repository will be expanded automatically. */
		automatic(2),
		__UNDEFINED(464378545);

		public final int value;

		private ThinVolumeRepositoryExpansionPolicy(int v) {
			this.value = v;
		}
}
