package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure defines the mandatory Time To Live TLV. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(469)
public class TimeToLiveTLV implements Serializable {
	public TimeToLiveTLV() {
	}

	/** This field contains the value of the time to live in seconds. */
	@io.swagger.annotations.ApiModelProperty(value ="This field contains the value of the time to live in seconds." , required = true)
	@XmlElement(required = true)
	private int time;

	/** @return This field contains the value of the time to live in seconds. */
	public int getTime() {
		return this.time;
	}
	/** @param x This field contains the value of the time to live in seconds. */
	public void setTime(int x) {
		this.time = x;
	}
}
