package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration defines the different tray interface technology types. This enumeration type is deprecated in favor of having explicit indicators in the Tray structure of the tray front-end interface and drive technologies. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(103)
public enum TrayTechnologyType implements Serializable {
		/** The interface technology of the tray is unknown. */
		unknown(0),
		/** SCSI tray and SCSI drives. */
		scsiScsi(1),
		/** Fibre tray and Fibre drives. */
		fibreFibre(2),
		/** Fibre tray and Serial ATA drives. */
		fibreSata(3),
		/** Fibre tray and Parallel ATA drives. */
		fibrePata(4),
		__UNDEFINED(464378545);

		public final int value;

		private TrayTechnologyType(int v) {
			this.value = v;
		}
}
