package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union describes properties that are unique to a particular volume candidate. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(510)
public class VolumeCandidateTypeData implements Serializable {
	public VolumeCandidateTypeData() {
	}

	/** This enumeration is used to indicate the type of the volume group. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration is used to indicate the type of the volume group." , required = true)
	@XmlElement(required = true)
	private VolumeGroupType type = VolumeGroupType.__UNDEFINED;

	/** @return This enumeration is used to indicate the type of the volume group. */
	public VolumeGroupType getType() {
		return this.type;
	}
	/** @param x This enumeration is used to indicate the type of the volume group. */
	public void setType(VolumeGroupType x) {
		this.type = x;
	}

	/** This field is present only if the value of type is equal to VG_TYPE_DISK_POOL. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the value of type is equal to VG_TYPE_DISK_POOL." , required = false)
	@XmlElement(required = false)
	private DiskPoolVolumeCandidateData diskPoolVolumeCandidateData;

	/** @return This field is present only if the value of type is equal to VG_TYPE_DISK_POOL. */
	public DiskPoolVolumeCandidateData getDiskPoolVolumeCandidateData() {
		return this.diskPoolVolumeCandidateData;
	}
	/** @param x This field is present only if the value of type is equal to VG_TYPE_DISK_POOL. */
	public void setDiskPoolVolumeCandidateData(DiskPoolVolumeCandidateData x) {
		this.diskPoolVolumeCandidateData = x;
	}
}
