package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration lists the volume group usage types. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(241)
public enum VolumeGroupUsage implements Serializable {
		/** This should never happen. */
		unknown(0),
		/** The volume group usage is standard. */
		standard(1),
		/** The volume group usage is flash cache. */
		flashcache(2),
		__UNDEFINED(464378545);

		public final int value;

		private VolumeGroupUsage(int v) {
			this.value = v;
		}
}
