package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration type identifies the available methods of computing the iSCSI header and data digests. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(151)
public enum DigestMethod implements Serializable {
		/** There is no digest method. */
		none(2),
		/** The digest method is CRC32C. */
		crc32c(3),
		__UNDEFINED(464378545);

		public final int value;

		private DigestMethod(int v) {
			this.value = v;
		}
}
