package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the descriptor for a download set. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(693)
public class DriveDownloadSet implements Serializable {
	public DriveDownloadSet() {
	}

	/** The file size. */
	@io.swagger.annotations.ApiModelProperty(value ="The file size." , required = true)
	@XmlElement(required = true)
	private int fileSize;

	/** @return The file size. */
	public int getFileSize() {
		return this.fileSize;
	}
	/** @param x The file size. */
	public void setFileSize(int x) {
		this.fileSize = x;
	}

	/** The drive list. */
	@io.swagger.annotations.ApiModelProperty(value ="The drive list." , required = true)
	@XmlElement(required = true)
	private String[] driveList;

	/** @return The drive list. */
	public String[] getDriveList() {
		return this.driveList;
	}
	/** @param x The drive list. */
	public void setDriveList(String[] x) {
		this.driveList = x;
	}
}
