package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is the argument to the setEthernetInterfaceProperties procedure. It specifies the values to set for the interface properties and the interface that they apply to. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(949)
public class EthernetInterfacePropertiesUpdateDescriptor implements Serializable {
	public EthernetInterfacePropertiesUpdateDescriptor() {
	}

	/** The data needed to uniquely identify the interface. */
	@io.swagger.annotations.ApiModelProperty(value ="The data needed to uniquely identify the interface." , required = true)
	@XmlElement(required = true)
	private String ethernetInterface;

	/** @return The data needed to uniquely identify the interface. */
	public String getEthernetInterface() {
		return this.ethernetInterface;
	}
	/** @param x The data needed to uniquely identify the interface. */
	public void setEthernetInterface(String x) {
		this.ethernetInterface = x;
	}

	/** The property settings for the interface. */
	@io.swagger.annotations.ApiModelProperty(value ="The property settings for the interface." , required = true)
	@XmlElement(required = true)
	private EthernetInterfaceChangeableProperties settings;

	/** @return The property settings for the interface. */
	public EthernetInterfaceChangeableProperties getSettings() {
		return this.settings;
	}
	/** @param x The property settings for the interface. */
	public void setSettings(EthernetInterfaceChangeableProperties x) {
		this.settings = x;
	}
}
