package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to identify the parent type of a GBIC component. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(138)
public enum GBICParentType implements Serializable {
		/** The GBIC belongs to an ESM. */
		esm(1),
		/** The GBIC belongs to a minihub. */
		minihub(2),
		/** The GBIC belongs to a controller channel. */
		controller(3),
		__UNDEFINED(464378545);

		public final int value;

		private GBICParentType(int v) {
			this.value = v;
		}
}
