package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is a variable-length array of IOInterfaceTypeData objects. It is used to convey information about multiple such objects. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1160)
public class IOInterfaceTypeDataList implements Serializable {
	public IOInterfaceTypeDataList() {
	}

	/** A variable-length array of IOInterfaceTypeData objects. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array of IOInterfaceTypeData objects." , required = true)
	@XmlElement(required = true)
	private IOInterfaceTypeData[] interfaces;

	/** @return A variable-length array of IOInterfaceTypeData objects. */
	public IOInterfaceTypeData[] getInterfaces() {
		return this.interfaces;
	}
	/** @param x A variable-length array of IOInterfaceTypeData objects. */
	public void setInterfaces(IOInterfaceTypeData[] x) {
		this.interfaces = x;
	}
}
