package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information used to start iSCSI Cable Diagnostics. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(723)
public class IscsiCableDiagnosticsDescriptor implements Serializable {
	public IscsiCableDiagnosticsDescriptor() {
	}

	/** The interface on which the diagnostics should be performed. */
	@io.swagger.annotations.ApiModelProperty(value ="The interface on which the diagnostics should be performed." , required = true)
	@XmlElement(required = true)
	private String interfaceRef;

	/** @return The interface on which the diagnostics should be performed. */
	public String getInterfaceRef() {
		return this.interfaceRef;
	}
	/** @param x The interface on which the diagnostics should be performed. */
	public void setInterfaceRef(String x) {
		this.interfaceRef = x;
	}
}
