package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is the argument to the setIscsiEntityProperties procedure. It specifies the values to set for the Iscsi entity properties. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(659)
public class IscsiEntityPropertiesUpdateDescriptor implements Serializable {
	public IscsiEntityPropertiesUpdateDescriptor() {
	}

	/** The settings for the new iSCSI entity. */
	@io.swagger.annotations.ApiModelProperty(value ="The settings for the new iSCSI entity." , required = true)
	@XmlElement(required = true)
	private IscsiEntityChangeableProperties settings;

	/** @return The settings for the new iSCSI entity. */
	public IscsiEntityChangeableProperties getSettings() {
		return this.settings;
	}
	/** @param x The settings for the new iSCSI entity. */
	public void setSettings(IscsiEntityChangeableProperties x) {
		this.settings = x;
	}
}
