package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to identify the Read Link Status Devices. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(775)
public class RLSDevices implements Serializable {
	public RLSDevices() {
	}

	/** The identifier value for the controllers. */
	@io.swagger.annotations.ApiModelProperty(value ="The identifier value for the controllers." , required = true)
	@XmlElement(required = true)
	private String[] controllers;

	/** @return The identifier value for the controllers. */
	public String[] getControllers() {
		return this.controllers;
	}
	/** @param x The identifier value for the controllers. */
	public void setControllers(String[] x) {
		this.controllers = x;
	}

	/** The identifier value for the drives. */
	@io.swagger.annotations.ApiModelProperty(value ="The identifier value for the drives." , required = true)
	@XmlElement(required = true)
	private String[] drives;

	/** @return The identifier value for the drives. */
	public String[] getDrives() {
		return this.drives;
	}
	/** @param x The identifier value for the drives. */
	public void setDrives(String[] x) {
		this.drives = x;
	}

	/** The identifier value for the ESMs. */
	@io.swagger.annotations.ApiModelProperty(value ="The identifier value for the ESMs." , required = true)
	@XmlElement(required = true)
	private String[] esms;

	/** @return The identifier value for the ESMs. */
	public String[] getEsms() {
		return this.esms;
	}
	/** @param x The identifier value for the ESMs. */
	public void setEsms(String[] x) {
		this.esms = x;
	}
}
