package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to describe a remote volume failure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(816)
public class RemoteVolWWNChangeFailed implements Serializable {
	public RemoteVolWWNChangeFailed() {
	}

	/** The reference to the remote volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference to the remote volume." , required = true)
	@XmlElement(required = true)
	private String remoteVolume;

	/** @return The reference to the remote volume. */
	public String getRemoteVolume() {
		return this.remoteVolume;
	}
	/** @param x The reference to the remote volume. */
	public void setRemoteVolume(String x) {
		this.remoteVolume = x;
	}
}
