package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration specifies the different types of parent elements a SAS expander may have. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(157)
public enum SasExpanderParentType implements Serializable {
		/** The parent element is unknown. */
		unknown(1),
		/** Parent element is a controller */
		controller(2),
		/** The parent element is an ESM. */
		esm(3),
		/** The parent element is a drawer. */
		drawer(4),
		__UNDEFINED(464378545);

		public final int value;

		private SasExpanderParentType(int v) {
			this.value = v;
		}
}
