package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used for representing a property that can be enabled or disabled, and which has an associated value when enabled. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(440)
public class SettingControl implements Serializable {
	public SettingControl() {
	}

	/** True when the property is enabled. */
	@io.swagger.annotations.ApiModelProperty(value ="True when the property is enabled." , required = true)
	@XmlElement(required = true)
	private boolean isEnabled;

	/** @return True when the property is enabled. */
	public boolean isIsEnabled() {
		return this.isEnabled;
	}
	/** @param x True when the property is enabled. */
	public void setIsEnabled(boolean x) {
		this.isEnabled = x;
	}

	/** The value of the property */
	@io.swagger.annotations.ApiModelProperty(value ="The value of the property" , required = true)
	@XmlElement(required = true)
	private int value;

	/** @return The value of the property */
	public int getValue() {
		return this.value;
	}
	/** @param x The value of the property */
	public void setValue(int x) {
		this.value = x;
	}
}
