package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to expand the virtual capacity of a thin volume. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(897)
public class ThinVolumeExpansionDescriptor implements Serializable {
	public ThinVolumeExpansionDescriptor() {
	}

	/** A reference to the thin volume. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the thin volume." , required = true)
	@XmlElement(required = true)
	private String volumeRef;

	/** @return A reference to the thin volume. */
	public String getVolumeRef() {
		return this.volumeRef;
	}
	/** @param x A reference to the thin volume. */
	public void setVolumeRef(String x) {
		this.volumeRef = x;
	}

	/** The new capacity for the thin volume in bytes. */
	@io.swagger.annotations.ApiModelProperty(value ="The new capacity for the thin volume in bytes." , required = true)
	@XmlElement(required = true)
	private long capacity;

	/** @return The new capacity for the thin volume in bytes. */
	public long getCapacity() {
		return this.capacity;
	}
	/** @param x The new capacity for the thin volume in bytes. */
	public void setCapacity(long x) {
		this.capacity = x;
	}
}
