package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to change the auto-expansion policy for a thin volume's Expandable Repository Volume. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(886)
public class ThinVolumeExpansionPolicyUpdateDescriptor implements Serializable {
	public ThinVolumeExpansionPolicyUpdateDescriptor() {
	}

	/** A reference to the thin volume. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the thin volume." , required = true)
	@XmlElement(required = true)
	private String volumeRef;

	/** @return A reference to the thin volume. */
	public String getVolumeRef() {
		return this.volumeRef;
	}
	/** @param x A reference to the thin volume. */
	public void setVolumeRef(String x) {
		this.volumeRef = x;
	}

	/** The new repository expansion policy. */
	@io.swagger.annotations.ApiModelProperty(value ="The new repository expansion policy." , required = true)
	@XmlElement(required = true)
	private ThinVolumeRepositoryExpansionPolicy policy = ThinVolumeRepositoryExpansionPolicy.__UNDEFINED;

	/** @return The new repository expansion policy. */
	public ThinVolumeRepositoryExpansionPolicy getPolicy() {
		return this.policy;
	}
	/** @param x The new repository expansion policy. */
	public void setPolicy(ThinVolumeRepositoryExpansionPolicy x) {
		this.policy = x;
	}
}
