package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union contains a list of thin volume expansion events. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1081)
public class ThinVolumeRepositoryExpansionHistoryListReturned implements Serializable {
	public ThinVolumeRepositoryExpansionHistoryListReturned() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** This field is present only if the value of returnCode is equal to RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the value of returnCode is equal to RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private ThinVolumeRepositoryExpansionHistoryData[] data;

	/** @return This field is present only if the value of returnCode is equal to RETCODE_OK. */
	public ThinVolumeRepositoryExpansionHistoryData[] getData() {
		return this.data;
	}
	/** @param x This field is present only if the value of returnCode is equal to RETCODE_OK. */
	public void setData(ThinVolumeRepositoryExpansionHistoryData[] x) {
		this.data = x;
	}
}
