package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure specifies a new value for the mgmtClientAttribute of a volume object. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(719)
public class VolumeAttributeUpdateDescriptor implements Serializable {
	public VolumeAttributeUpdateDescriptor() {
	}

	/** The reference value that identifies the volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference value that identifies the volume." , required = true)
	@XmlElement(required = true)
	private String volumeRef;

	/** @return The reference value that identifies the volume. */
	public String getVolumeRef() {
		return this.volumeRef;
	}
	/** @param x The reference value that identifies the volume. */
	public void setVolumeRef(String x) {
		this.volumeRef = x;
	}

	/** Used to store a 4-byte value for use by the management client. This is not used by SANtricity. */
	@io.swagger.annotations.ApiModelProperty(value ="Used to store a 4-byte value for use by the management client. This is not used by SANtricity." , required = true)
	@XmlElement(required = true)
	private int mgmtClientAttribute;

	/** @return Used to store a 4-byte value for use by the management client. This is not used by SANtricity. */
	public int getMgmtClientAttribute() {
		return this.mgmtClientAttribute;
	}
	/** @param x Used to store a 4-byte value for use by the management client. This is not used by SANtricity. */
	public void setMgmtClientAttribute(int x) {
		this.mgmtClientAttribute = x;
	}
}
